[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: REL_ENG versions produce different libraries?


Nick Milas schrieb (30.03.2012 16:08 Uhr):
On 30/3/2012 4:27 ÎÎ, Howard Chu wrote:

Test builds are not meant to be packaged.

Even if it is so, in practice I use packaged builds for testing because in this way I can control better what happens to the system and manage versioning. Since I'm using LTB src.rpm's, this helps me ensure that all system components are updated correctly and that OpenLDAP is built correctly too for my environment.
That's what I do, too.

In any case, even if I am following a non-standard procedure *for private use*, can you please tell me: if I change ol_patch=X to ol_patch=29.1 will it work OK with the build system? Or, can you please suggest what should I do to specify proper version numbering for versions between e.g. 2.4.29 and 2.4.30 (e.g. etc.)?
I just change ol_patch to the next version, like 31, and set the rpm version in my spec file to something like 000 to indicate this is a pre version package. This works for me.